BlitzReels
BlitzReelsDocumentation
API Reference
GET
/projects/{projectId}/visual-debug

Authorization

ApiKeyAuth
Authorization<token>

Use Bearer br_live_....

In: header

Path Parameters

projectId*string

Query Parameters

time_seconds*number
Range0 <= value

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/projects/string/visual-debug?time_seconds=0"
{  "project_id": "string",  "captured_at": "string",  "cached": true,  "layout_key": "string",  "visible_media_rect": {    "left": 0,    "top": 0,    "width": 0,    "height": 0  },  "visible_media_rects": [    {      "left": 0,      "top": 0,      "width": 0,      "height": 0,      "timeline_item_id": "string"    }  ],  "caption_rects": [    {      "left": 0,      "top": 0,      "width": 0,      "height": 0,      "timeline_item_id": "string"    }  ],  "canvas_rects": [    {      "left": 0,      "top": 0,      "width": 0,      "height": 0,      "timeline_item_id": "string"    }  ],  "source_crops": [    {      "timeline_item_id": "string",      "x": 0,      "y": 0,      "width": 0,      "height": 0,      "fit_mode": "contain",      "planner_mode": "string"    }  ],  "speaker_regions": [    {      "asset_id": "string",      "side": "left",      "confidence": 0,      "coverage_ratio": 0,      "dominant_ratio": 0,      "box": {        "x": 0,        "y": 0,        "width": 0,        "height": 0      }    }  ],  "face_boxes": [    {      "asset_id": "string",      "subject_id": "string",      "label": "string",      "role": "primary",      "side": "left",      "confidence": 0,      "box": {        "x": 0,        "y": 0,        "width": 0,        "height": 0      }    }  ],  "active_split_gap_rect": {    "left": 0,    "top": 0,    "width": 0,    "height": 0  }}